/*************************************************************************************
	NOTEMIDIHEXDUMP - a utility for printing a hexadecimal listing of device output

		(C) 2001 by Michael Minn - michael@michaelminn.com

	See README.txt for a complete description of this utility

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

*************************************************************************************/

#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>

int main (int argc, char **argv)
{
	printf("NOTEMIDIHEXDUMP v2001.06.12 by Michael Minn\n");

	if (argc != 2)
	{
		printf("SYNTAX: notemidihexdump <output device name>\n");
		printf("        lists output from a device file in hexadecimal form on the screen\n");
		return -1;
	}

	int input_descriptor = open(argv[1], O_RDWR | O_SYNC);

	if (input_descriptor < 0)
	{
		perror(argv[1]);
		return -1;
	}

	unsigned char buffer[256];
	int status = 0;

	while (1)
		if ((status = read(input_descriptor, buffer, sizeof(buffer))) < 0)
		{
			perror(argv[1]);
			return -1;
		}
		else if (status != 0)
		{
			for (int scan = 0; scan < status; ++scan)
				printf("%02x ", (unsigned int) buffer[scan]);
			printf("\n");
		}
}

