/***************************************************************************
	NOTEMIDIWAVEHEAD - Corrects headers in 44.1Khz stereo .wav files
                            -------------------
    begin                : 6 July, 2001
    copyright            : (C) 2001 by Michael Minn
    email                : michael@michaelminn.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

***************************************************************************/

#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include "wave_file_header.h"

int main (int argc, char **argv)
{
	printf ("NOTEMIDIWAVEHEAD v2001.07.06 by Michael Minn\n");
	if (argc < 2)
    {
    	printf("SYNTAX: notemidiwavehead <wave file 1>... \n");
		printf ("Corrects the headers in 44.1 Khz stereo .wav files\n");
		return -1;
	}

	int descriptor = 0;
	wave_file_header header;
	for (int file = 1; file < argc; ++file)
		if ((descriptor = open (argv[file], O_RDWR)) < 0)
			perror(argv[file]);

		else
		{
			header.write_header(descriptor);
			close(descriptor);
			printf("%s: %d bytes\n", argv[file], header.data_chunk_length);
		}

    return 0;
}
